# Final Group Project

- **Due date: Thursday, June 15, 2022 (week 16)**
  - **Presentation**: from 10:00 am to 12:00 pm (noon)
  - **Material Upload**: before 10:00 am

## General Description

You will implement a **web application of your choice** in Javascript (free topic). You will also provide written _documentation_ and a good-quality _video_ of your final output. This is a _group_ project, where [teams](https://docs.google.com/spreadsheets/d/1Zq_dyArtYMwhFuRxHT3KkTfei3268ogO_xM05cnPhiU/edit?usp=sharing) are **randomly** generated and balanced based on cumulative score (quizzes, homework, and activities). The final project accounts for **40%** of your grade.

## Application requirements

- Your application should be **hosted on the Internet** (no `localhost`)
- Your application should be using [Svelte](https://svelte.dev). You can use also other platforms/frameworks, but also Svelte should be part of your final application.
- Your application should demonstrate that you learned something **beyond** the topics covered in class. For example, you can use libraries and/or tools that we did not discuss in class or features of these that we did not cover in-depth. Do not simply copy and paste code from the internet - in such a case, you will receive a score of 0 if we find out.

## Evaluation method and criteria

The evaluation method and criteria are identical to those of [Project 1 - game project](http://git.prototyping.id/andrea/GameProject#evaluation-method-and-criteria).

### Presentation

- The final presentations will be **OFFLINE** in room N25-409, between 10 a.m. and noon. Teams will be summoned in random order.
- A live demo of the application is mandatory. Have a backup video ready in case of problems.
- Each team has _up to_ 15 minutes for presentation + 5 minutes for Q&A.
- Presentations will be in _English_.

You can organize your presentation as you want to. Here are some suggestions:

- Briefly explain the **concept** of your application (1-2 minutes)
- Short **demo** (3-4 minutes) with a clear walkthrough that shows the main capabilities of your software
- Visually show your main **architecture** and logical components of the application (3-5 minutes). How was work handled among team members?
- Highlight the main **challenges** you experienced and how you overcame them (5%). What **new** things did you learn? (3-5 minutes)

### Video

The video is considered part of your documentation. The video will also be shared with the Department of Industrial Design for any promotional activity or for the yearly class exhibition.

- Make sure that your **video** is made of good quality - images should be clear and well shot. Edit the video to show the important aspects of your project.
- Keep your **video length** less than 5 minutes.
- Try to be complete in your explanation - you do not need to write a lot, but the professor and the TA should be able to understand your documentation and your code by reading this file.
- Considering adding voice over. You can also use simple online AI-based tools for creating the voice.

---

## How to submit the material

1. **Submit** the homework (source code and README file documentation with link to online repo and demo) using the class [submission system](https://homework.prototyping.id). Choose `Final project` and check the checkbox `This is a team project`.
2. Do not include `node_modules` of folders that are not necessary
3. For any problem feel free to contact the professor or TA via Discord.

**NOTES**

- Any submission after the deadline or without an in-class presentation will receive a flat penalty of 40% of the score (a score of 0 for peer evaluation). Submissions submitted after 24 hours from the deadline will be ignored (the score will be 0).
- Only submissions made with the system will be considered (e.g., no direct emails to TA or Prof).
- You can re-submit as many times as you want: the last submission only will be considered.
- Keep a screenshot that proves your completed submission.
- Other subjective metrics by prof may apply.
